﻿@model XPos.ViewModel.OrderHeaderViewModel

@using (Html.BeginForm())
{
@Html.AntiForgeryToken()

                <div class="form-horizontal" id="form-payment">
                    @Html.ValidationSummary(true, "", new { @class = "text-danger" })
                    <div class="form-group">
                        @Html.LabelFor(model => model.Reference, htmlAttributes: new { @class = "control-label col-md-2" })
                        <div class="col-md-10">
                            @Html.EditorFor(model => model.Reference, new { htmlAttributes = new { @class = "form-control", @readonly = "readonly" } })
                            @Html.ValidationMessageFor(model => model.Reference, "", new { @class = "text-danger" })
                        </div>
                    </div>

                    @*<div class="form-group">
                        @Html.LabelFor(model => model.Quantity, htmlAttributes: new { @class = "control-label col-md-2" })
                        <div class="col-md-10">
                            @Html.EditorFor(model => model.Quantity, new { htmlAttributes = new { @class = "form-control", @readonly = "readonly" } })
                            @Html.ValidationMessageFor(model => model.Quantity, "", new { @class = "text-danger" })
                        </div>
                    </div>*@

                    <div class="form-group">
                        @Html.LabelFor(model => model.Amount, htmlAttributes: new { @class = "control-label col-md-2" })
                        <div class="col-md-10">
                            @Html.EditorFor(model => model.Amount, new { htmlAttributes = new { @class = "form-control", @readonly = "readonly" } })
                            @Html.ValidationMessageFor(model => model.Amount, "", new { @class = "text-danger" })
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="control-label col-md-2" for="Payment">Payment</label>
                        <div class="col-md-10">
                            <input class="form-control text-box single-line" id="Payment" name="Payment" type="number" onkeyup="CalcPayment()" value="0.00">
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="control-label col-md-2" for="Change">Change</label>
                        <div class="col-md-10">
                            <input class="form-control text-box single-line" id="Change" name="Change" type="number" readonly="readonly" value="@(Model.Amount * -1)">
                        </div>
                    </div>

                    @*<table class="table">
                        <thead>
                            <tr>
                                <th>Prod. Name</th>
                                <th>Price</th>
                                <th>Qty</th>
                                <th>Amount</th>
                            </tr>
                        </thead>
                        <tbody id="pay-order-list"></tbody>
                    </table>*@

                    <table class="table">
                        <thead>
                            <tr>
                                <th>Prod. Name</th>
                                <th>Price</th>
                                <th>Qty</th>
                                <th>Amount</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach (var item in Model.Details)
                            {
            <tr>
                <td>@item.ProductName</td>
                <td>@item.Price</td>
                <td>@item.Quantity</td>
                <td>@item.Amount</td>
            </tr>                }
                        </tbody>
                    </table>

                    <div class="form-group">
                        <div class="col-md-offset-2 col-md-10">
                            <input type="button" id="btn-cancel" value="Cancel" data-dismiss="modal" class="btn btn-default" />
                            <input type="button" id="btn-pay" value="Pay!" class="btn btn-success" />
                        </div>
                    </div>
                </div>}

@Scripts.Render("~/bundles/jqueryval")

<script type="text/javascript">
    $(document).ready(function () {
        //console.log(data.Details);
        data.Details.forEach(function (detail, idx) {
            var tr = "<tr>";
            tr += "<td>" + detail.ProductName + "</td>";
            tr += "<td>" + detail.Price + "</td>";
            tr += "<td>" + detail.Quantity + "</td>";
            tr += "<td>" + detail.Amount + "</td>";
            tr += "</tr>";
            $("#pay-order-list").append(tr);
        });
    });

    function CalcPayment() {
        var payment = $("#Payment").val();
        var amount = parseFloat(data.Amount);
<<<<<<< HEAD
        //if (payment < amount)
        //{
        //    alert("uang anda kurang")
        //}
        //else
        //{
        //    success;
        //}
=======
>>>>>>> 8dc74c9faf0edf0befff2409bee8a900b0033260
        var change = parseFloat(payment) - parseFloat(amount);
        $("#Change").val(change);
        //if (payment < amount)
        //{
        //    result.Success = false;
        //    result.Message = "Your quantity of order is greater than the Stock!";
        //    break;
        //}
        //else
        //{
        //    success;
        //}        
    }

    $("#btn-pay").click(function () {
        $.ajax({
            url: '@Url.Action("Pay", "Order")',
            type: 'post',
            data: { model: data },
            success: function (result) {
                if (result.success) {
                    $(".modal-title").html("Payment. Thank you!");
                    $("#Reference").val(result.reference);
                    $("#Payment").attr("readonly", "readonly");
                    $("#btn-pay").remove();
                    $("#btn-cancel").val("Close!")
                    $("#btn-cancel").attr("onclick", "location.reload()");
                } else {
                    alert("Error:\n" + result.message);
                }
            }
        })
    });
</script>
